#!/bin/bash

# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`


# ------------------------------------
# Make sure root/Library/Fonts/Latin Modern/* exists with the right permissions
chown root ${WORK}/root
chgrp admin ${WORK}/root
chmod 775 ${WORK}/root
chown root  ${WORK}/root/Library
chown root  ${WORK}/root/Library/Fonts
chown root  ${WORK}/root/Library/Fonts/'TeX Gyre' 
chmod 1775 ${WORK}/root/Library
chmod 755 ${WORK}/root/Library/Fonts
chmod 755 ${WORK}/root/Library/Fonts/'TeX Gyre'
chgrp admin ${WORK}/root/Library
chgrp admin ${WORK}/root/Library/Fonts
chgrp admin ${WORK}/root/Library/Fonts/'TeX Gyre'
chown root ${WORK}/root/Library/Fonts/'TeX Gyre'/*
chmod 644 ${WORK}/root/Library/Fonts/'TeX Gyre'/*
chgrp admin ${WORK}/root/Library/Fonts/'TeX Gyre'/*
# ------------------------------------


# Build the package!
echo "Building the Installer package"
# /XCode2.5/Tools/packagemaker -build -p ${WORK}/TeX-Gyre-Fonts.pkg -ds -s \
#	-f ${WORK}/root -r ${WORK}/resources -i ${WORK}/Info.plist -d ${WORK}/Description.plist
./../PackageMaker.app/Contents/MacOS/PackageMaker  -build -p ${WORK}/TeX-Gyre-Fonts.pkg -ds -s \
	-f ${WORK}/root -r ${WORK}/resources -i ${WORK}/Info.plist -d ${WORK}/Description.plist
	
	
######################################################
# FINALLY, PUT MY /usr/local BACK AS IT WAS
# mv -f /usr/local.save /usr/local
######################################################


